package com.yonge.toolset.payment.base.model;

import java.io.Serializable;

/**
 * 订单详情信息
 * @Author: liweifan
 * @Data: 2022/3/31 11:36
 */
public class OrderDetil implements Serializable {
    private static final long serialVersionUID = 1L;
    /***
     * 商品编号
     * @author liweifan
     * @updateTime 2022/3/31 11:07
     */
    private String goodsId;
    /***
     * 商品名称
     * @author liweifan
     * @updateTime 2022/3/31 11:07
     */
    private String goodName;
    /***
     * 商品数量
     * @author liweifan
     * @updateTime 2022/3/31 11:07
     */
    private Integer quantity = 1;
    /***
     * 商品价格
     * @author liweifan
     * @updateTime 2022/3/31 11:07
     */
    private String price;

    public OrderDetil() {
    }

    public OrderDetil(String goodsId, String goodName, Integer quantity, String price) {
        this.goodsId = goodsId;
        this.goodName = goodName;
        this.quantity = quantity;
        this.price = price;
    }

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodName() {
        return goodName;
    }

    public void setGoodName(String goodName) {
        this.goodName = goodName;
    }

    public Integer getQuantity() {
        return quantity;
    }

    public void setQuantity(Integer quantity) {
        this.quantity = quantity;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }
}
